
:root {
    --button-bg: #00aae1;
}

body {
    background-color: White;
    color: #3C4132;
    word-spacing: normal;
    letter-spacing: normal;
    font-weight: normal;
    font-size: small;
    text-transform: none;
    font-family: Arial, Verdana, Helvetica, sans-serif;
}

.BannerBar {
    width: 100%;
    height: 75px;
    background: linear-gradient(to bottom, white 94%, #00968d 97%, white);
    padding: 0px;
    margin: 0px;
}

/* Company logo - ensure the size is correct for the image */ 
.BannerLogo {
    position: absolute;
    z-index: 0;
    top: 2px;
    left: 55px;
    height: 70px;
    width: 309px;
    background: url(graphics/Compleo_logo.png);
}

.BannerMenu {
	height:75px;
	position: absolute;
	z-index: 1000;
	top: 18px;
	left: 10px;
}
.BannerMenuText {
    display:none;
    position: absolute;
    top: -7px;
    left: -2px;
    font-size:8pt;
}

.BannerInfoArea {
    position:absolute;
    top:0px;
    right:0px;
    z-index: 99;
    font-weight:bold;
    min-height:75px;
    max-height:75px;
    text-align:left;
    vertical-align:top;
    margin:8px;
}
.BannerEmpInfo {
    position:relative;
    height:100%;
    display:inline-block;
    text-align: left;
    border: 1px solid silver;
    padding:3px 8px 0px 8px;
    color: black;
    background-color: white;
    z-index:99;
}
.BannerInfoRight {
    position:relative;
    display:inline-block;
    vertical-align:top;
}
.BannerInfoIcons {
    position:relative;
    display:inline-block;
    min-width:200px;
    text-align: right;
    padding:3px 8px 3px 8px;
    color: black;
    min-width:200px;
}
.BannerInfoViewing {
    position:relative;
    vertical-align:bottom;
    min-width:200px;
    display:block;
    text-align: right;
    padding:3px 8px 3px 8px;
    margin-top:3px;
    color:black;
    min-width:200px;
}

a.BannerIcon, i.BannerIcon {
    cursor:pointer;    
    font-size:18pt;
    background-color: white;
    color: #00968d;
    text-decoration:none;
    padding:0px 0px 0px 0px;
}
a.BannerIcon:hover, i.BannerIcon:hover {
    color: black;
    background-color: white;
    text-decoration:none;
}

div.ButtonBar {
    width: 100%;
    text-align: center;
    background-color: transparent;
    padding-bottom: 5px;
    padding-top: 5px;
    color: #000;
}

table.buttonBar {
    background-color: transparent;
    margin: auto;
    height: 28px;
}

td.buttonBar {
    padding-left: 3px;
    padding-right: 3px;
}

.BannerMessage {
    border: medium none #000;
    padding: 5px 10px 5px 10px;
    position: absolute;
    top: 25px;
    left: 400px;
    z-index: 99;
    font-size: medium;
    background-color: #FFFF;
    visibility: visible;
    font-family: 'Arial Black';
    font-weight: bold;
    color: #F00;
}
/* END styles for the Banner Bar Area */


.main-flex-container {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start; /* Aligns children to the left */
    width: 100%;
}

.leftContainer {
    flex: 0 0 auto; /* Adjust width as needed, does not grow or shrink */
}

.rightContainer {
    flex-grow: 1;
    display: flex;
    flex-direction: column; /* Stacks children vertically */
    align-items: center; /* Centers children horizontally */
    width: 100%;
}

.div_content {
    margin: auto; /* Centers div_content within rightContainer */
    text-align:center;  
}  

#tbl-main
{
}

table.content
{ 
    /*border-collapse:collapse;    */
    margin-left: auto;
    margin-right: auto;     
}

td.content
{      
    vertical-align:top;
    /*width:70%;*/
 }
div.layout
{    
    margin-left: auto;
    margin-right: auto;     
}
/* END style for page content */ 


/*
AJAX updare progress 
a div on the master page
*/
.ajaxProgressDiv
{
    position:fixed;
    top:40%;  
    left:40%;      
    padding:15px 0px 10px 0px;  
    text-align:center;  
    background:url(graphics/ajax-progress-bg.png) no-repeat; 
    width:270px;
    height:70px;       
    font-size:12px;
    font-weight:bold;
    color:white;    
}

/*
AJAX TABS
*/
.ajax__tab_container
{
   /* min-width:800px;*/
}

.ajax__tab_body
{
   /* background-color:#F5F5F5 !important;*/
}

.ajax__tab_panel
{
     font-size:small;    
     /*background-color:#F5F5F5;*/
     padding:6px 6px 6px 6px;
}

textarea, input[type=text], input[type=password], input[type=checkbox], select {
    border: 1px solid #3C4132;
    border-radius: 5px;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    outline: none !important;
    -webkit-box-shadow: 1px 1px 1px 0px rgba(128,128,128,0.75);
    -moz-box-shadow: 1px 1px 1px 0px rgba(128,128,128,0.75);
    box-shadow: 1px 1px 1px 0px rgba(128,128,128,0.75);
}

    textarea:focus, input[type=text]:focus, input[type=password]:focus, input[type=checkbox]:focus, select:focus {
        border: 2px solid #3C4132;
        outline: none !important;
    }

    select:hover focus {
        outline: none !important;
    }


.PanelClass {
    position: relative;
}

.PanelHelpClass {
    position: absolute;
    display:inline;
    top:0px;
    right:5px;
    color:black;
    background-color:none;
    font-size:16pt;
    text-decoration:none;
}
.PanelHelpClass:hover {
    color:#00aae1;
    text-decoration:none;
}

fieldset {
    border: 1px solid #3C4132;
    border-radius: 10px !important;
    -webkit-box-shadow: 2px 2px 8px 0px #808080;
    box-shadow: 2px 2px 8px 0px #808080;
    text-align: left;
    padding: 5px;
    background-color: #fff;
    margin-top: 5px;
}
legend {
    background-color: #00aae1;
    border-radius: 10px 10px 0px 0px !important;
    color: White !important;
    border: 1px solid #3C4132;
    padding: 2px 10px 2px 10px;
    font-weight: bold;
}
fieldset legend
{
    color:#fff;   
}
.ModalBackground
{
    background-color: Gray;
    filter: alpha(opacity=75);
    opacity: 0.75;
}
.PopupPanel {
    border-radius: 15px;
    border: solid 1px #666666;
    -webkit-box-shadow: 5px 5px 8px 0px #808080;
    box-shadow: 5px 5px 8px 0px #808080;
    background-color: white;
    font-size: small;
    font-weight: bold;
    padding: 10px;
}


/* standard text and html element styles */
SELECT
{
    font-size:small;
}

/* END standard text and html element styles */


/* used on change password screen */
.passwordError
{
    color:Red; 
    font-weight:bold;
    text-decoration:underline;  
}

.appError
{
    font-size:x-large;
    background-color:Transparent;  
    color:#000000;
}


/*********  Styles for IawMessageControl *****************/

table.tblIawMessage
{
   margin-left:auto;
   margin-right:auto;
}

/* error message that appears at the top of the screen, this contains a span element that uses span.errorMessage */
td.errorMessage
{
    text-align:left;   
    border-style:solid;
    border-color:#999999;
    border-width:1px;
    font-size:small;
    color:#000000;
    background-color:#FFCC00;
    padding:6px 10px 6px 10px;     
}
td.infoMessage, td.warnMessage
{
    text-align:left; 
    font-size:small;
    color:#000000;    
    padding:6px 10px 6px 10px;     
}
/* style for form errors */
span.errorMessage
{
    color:#000000;
    background-color:Transparent;   
}
span.warnMessage
{
    color:#000000;
    background-color:Transparent;   
}
span.infoMessage
{
    color:#000000;
    background-color:Transparent;   
}


     /* icon styles */
     td.errorIcon
     {
        background-image: url(graphics/stop-med.png);   
        background-repeat:no-repeat;
        background-position:center;
        width:25px;        
     }
     td.informationIcon
     {
        background-image: url(graphics/info-med.png);   
        background-repeat:no-repeat;
        background-position:center;
        width:25px;           
     }
     td.warningIcon
     {
        background-image: url(graphics/warn-med.png);   
        background-repeat:no-repeat;
        background-position:center;          
        width:25px; 
     }     

/*********  END IawMessageControl *****************


/* style for explanatory text that appears on pages */
.ParaText
{
	background-color: transparent;
	font-weight: normal;
	font-size: small;
	word-spacing: normal;
	color:#000000;
	font-family: Arial, Verdana, Helvetica, sans-serif;
	letter-spacing: normal;
}

.hidden
{
    display:none;
    background-color:#E8E7E7;
    border-style:ridge;
    border-width:thin;
    border-color:#26354F;
    padding:12px;
    text-align:left;
    cursor:move;
    position:absolute;
    top:100px;
    left:300px;
    z-index:-10;
}

/*styles for chnge roles popup */
.change_role_div
{
    background-color: #E8E7E7;
    border-width:2px; 
    border-style:ridge;    
    padding:10px 10px 10px 10px;
    position:absolute;
    z-index:100;
    top:40px;
    right:100px;
    display:none;
}
.change_role_label
{
    color:#333333;
}




/* 
APPRAISALS
*/
/* Ajax autocompleteextender dropdown box */
.ACE_dropdown {
    border-style: solid;
    border-width: 1px;
    border-color: #808080 #000000 #000000 #000000;
    margin: 0px 0px 0px 0px;
    background-color: #FFFFFF;
}
.ACE_listitem
{
	padding: 2px 0px 2px 0px;
	background-color: #FFFFFF;
}
.ACE_HighlightedItem
{
	padding: 2px 0px 2px 0px;
	background-color: #AAAAAA;
}
/* Appraisals Details */
.AppraisalPageHeaderFont
{
	font-size: small;
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
}
.AppraisalPageHeader
{
	padding: 2px;
	margin: 0px 0px 10px 0px;
	border-style: solid;
	border-width: 1px;
	border-color: #FFFFFF #000000 #000000 #FFFFFF;
	background-color: #EEEEEE;
	text-align: left;
}
.AppraisalTabNote
{
	border-color: #333333;
	border-style: none none solid none;
	border-width: 1px;
	margin: 0px 0px 10px 0px;
	color: #000000;
	text-align: left;
	font-weight: bold;
	font-size: small;
}
.AppraisalHeader
{
	border-style: solid;
	margin: 0px 0px 10px 0px;
	border-width: 1px;
	border-color: #FFFFFF #666666 #666666 #FFFFFF;
	font-size: small;
	color: #000000;
	text-align: left;
	background-color: #C0C0C0;
	font-weight: bold;
}
.AppraisalPanel
{
	border: 1px solid gray;
	margin: 0px 0px 10px 0px;
	background-color: #CCCCCC;
	text-align: left;
}
/* 
END APPRAISALS
*/

.gridScroll
{
    min-height:100px;
    overflow-y:auto;
    overflow-x:hidden;
}

.PersonPhoto
{
   box-shadow: 5px 5px 5px #aaa;   
}

/* Ajax Tab Control */

.iaw .ajax__tab {
    background-image: none !important;
    padding-bottom:1px !important;
    height:unset;
}

.iaw .ajax__tab_active {
    background-image: none !important;
    height: unset;
}
    .iaw .ajax__tab_active > .ajax__tab_outer > .ajax__tab_inner > .ajax__tab_tab {
        background: linear-gradient(180deg, rgba(0,170,225,1) 0%, rgba(255,255,255,1) 15%, rgba(255,255,255,1) 100%) !important;
    }
    .iaw .ajax__tab:hover {
        background-image: none !important;
    }

.iaw .ajax__tab_header {
    padding-right: 0px !important;
}
.iaw .ajax__tab_outer {
    background-image: none !important;
    margin-right: 0px !important;
    padding-right: 0px !important;
}

.iaw .ajax__tab_inner {
    background-image: none !important;
}

.iaw .ajax__tab_tab {
    background-image: none !important;
    border-top: 1px solid #999;
    border-left: 1px solid #999;
    border-right: 1px solid #999;
    border-bottom: none;
    border-radius: 0px 5px 0px 0px;
}
    .iaw .ajax__tab_tab:hover:not(.ajax__tab_disabled) {
        background: linear-gradient(180deg, rgba(0,170,225,1) 0%, rgba(255,255,255,1) 15%, rgba(255,255,255,1) 100%) !important;
    }
